public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmpop3/files/, x11-plugins/wmpop3/
@ 2016-06-10 11:09 Bernard Cafarelli
  0 siblings, 0 replies; only message in thread
From: Bernard Cafarelli @ 2016-06-10 11:09 UTC (permalink / raw
  To: gentoo-commits

commit:     48c4a3cd9f9786d1f467d13e0c3dfc3edb610c1c
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 10 11:08:26 2016 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Jun 10 11:08:37 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48c4a3cd

x11-plugins/wmpop3: fix compilation with gcc 5, bug #581718

Also update ebuild to EAPI 6
Reported by Toralf Förster <toralf.foerster <AT> gmx.de>

Package-Manager: portage-2.3.0_rc1

 x11-plugins/wmpop3/files/wmpop3-0.5.6a-list.patch | 127 ++++++++++++++++++++++
 x11-plugins/wmpop3/wmpop3-0.5.6a-r1.ebuild        |  37 +++++++
 2 files changed, 164 insertions(+)

diff --git a/x11-plugins/wmpop3/files/wmpop3-0.5.6a-list.patch b/x11-plugins/wmpop3/files/wmpop3-0.5.6a-list.patch
new file mode 100644
index 0000000..9ef9a61
--- /dev/null
+++ b/x11-plugins/wmpop3/files/wmpop3-0.5.6a-list.patch
@@ -0,0 +1,127 @@
+diff -Naur wmpop3-0.5.6a.orig/wmgeneral/list.c wmpop3-0.5.6a/wmgeneral/list.c
+--- wmpop3-0.5.6a.orig/wmgeneral/list.c	1999-08-13 17:56:19.000000000 +0200
++++ wmpop3-0.5.6a/wmgeneral/list.c	2016-06-10 12:52:47.293968265 +0200
+@@ -38,7 +38,7 @@
+ 
+ /* Return a cons cell produced from (head . tail) */
+ 
+-INLINE LinkedList* 
++LinkedList* 
+ list_cons(void* head, LinkedList* tail)
+ {
+   LinkedList* cell;
+@@ -51,7 +51,7 @@
+ 
+ /* Return the length of a list, list_length(NULL) returns zero */
+ 
+-INLINE int
++int
+ list_length(LinkedList* list)
+ {
+   int i = 0;
+@@ -66,7 +66,7 @@
+ /* Return the Nth element of LIST, where N count from zero.  If N 
+    larger than the list length, NULL is returned  */
+ 
+-INLINE void*
++void*
+ list_nth(int index, LinkedList* list)
+ {
+   while(index-- != 0)
+@@ -81,7 +81,7 @@
+ 
+ /* Remove the element at the head by replacing it by its successor */
+ 
+-INLINE void
++void
+ list_remove_head(LinkedList** list)
+ {
+   if (!*list) return;  
+@@ -101,7 +101,7 @@
+ 
+ /* Remove the element with `car' set to ELEMENT */
+ /*
+-INLINE void
++void
+ list_remove_elem(LinkedList** list, void* elem)
+ {
+   while (*list)
+@@ -112,7 +112,7 @@
+     }
+ }*/
+ 
+-INLINE LinkedList *
++LinkedList *
+ list_remove_elem(LinkedList* list, void* elem)
+ {
+     LinkedList *tmp;
+@@ -132,7 +132,7 @@
+ 
+ /* Return element that has ELEM as car */
+ 
+-INLINE LinkedList*
++LinkedList*
+ list_find(LinkedList* list, void* elem)
+ {
+   while(list)
+@@ -146,7 +146,7 @@
+ 
+ /* Free list (backwards recursive) */
+ 
+-INLINE void
++void
+ list_free(LinkedList* list)
+ {
+   if(list)
+@@ -158,7 +158,7 @@
+ 
+ /* Map FUNCTION over all elements in LIST */
+ 
+-INLINE void
++void
+ list_mapcar(LinkedList* list, void(*function)(void*))
+ {
+   while(list)
+diff -Naur wmpop3-0.5.6a.orig/wmgeneral/list.h wmpop3-0.5.6a/wmgeneral/list.h
+--- wmpop3-0.5.6a.orig/wmgeneral/list.h	1999-08-13 17:56:19.000000000 +0200
++++ wmpop3-0.5.6a/wmgeneral/list.h	2016-06-10 12:52:56.598983075 +0200
+@@ -29,31 +29,25 @@
+ #ifndef __LIST_H_
+ #define __LIST_H_
+ 
+-#if defined(__GNUC__) && !defined(__STRICT_ANSI__)
+-# define INLINE inline
+-#else
+-# define INLINE
+-#endif
+-
+ typedef struct LinkedList {
+   void *head;
+   struct LinkedList *tail;
+ } LinkedList;
+ 
+-INLINE LinkedList* list_cons(void* head, LinkedList* tail);
++LinkedList* list_cons(void* head, LinkedList* tail);
+ 
+-INLINE int list_length(LinkedList* list);
++int list_length(LinkedList* list);
+ 
+-INLINE void* list_nth(int index, LinkedList* list);
++void* list_nth(int index, LinkedList* list);
+ 
+-INLINE void list_remove_head(LinkedList** list);
++void list_remove_head(LinkedList** list);
+ 
+-INLINE LinkedList *list_remove_elem(LinkedList* list, void* elem);
++LinkedList *list_remove_elem(LinkedList* list, void* elem);
+ 
+-INLINE void list_mapcar(LinkedList* list, void(*function)(void*));
++void list_mapcar(LinkedList* list, void(*function)(void*));
+ 
+-INLINE LinkedList*list_find(LinkedList* list, void* elem);
++LinkedList*list_find(LinkedList* list, void* elem);
+ 
+-INLINE void list_free(LinkedList* list);
++void list_free(LinkedList* list);
+ 
+ #endif

diff --git a/x11-plugins/wmpop3/wmpop3-0.5.6a-r1.ebuild b/x11-plugins/wmpop3/wmpop3-0.5.6a-r1.ebuild
new file mode 100644
index 0000000..66a7a0e
--- /dev/null
+++ b/x11-plugins/wmpop3/wmpop3-0.5.6a-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="dockapp for checking pop3 accounts"
+HOMEPAGE="http://www.cs.mun.ca/~scotth/"
+SRC_URI="http://www.cs.mun.ca/~scotth/download/${P/wmpop3/WMPop3}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE=""
+
+DEPEND="x11-wm/windowmaker
+	x11-libs/libXpm"
+RDEPEND="${DEPEND}"
+
+PATCHES=( ${FILESDIR}/${P}-list.patch )
+
+src_prepare() {
+	sed -e "s:-O2:${CFLAGS}:" \
+		-e "s:-o wmpop3:${LDFLAGS} -o wmpop3:" \
+		-i ${PN}/Makefile || die
+
+	default
+}
+
+src_compile() {
+	emake -C wmpop3
+}
+
+src_install() {
+	dobin wmpop3/wmpop3
+	dodoc CHANGE_LOG README
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2016-06-10 11:09 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-06-10 11:09 [gentoo-commits] repo/gentoo:master commit in: x11-plugins/wmpop3/files/, x11-plugins/wmpop3/ Bernard Cafarelli

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox